### Virtual Method

# Nautilus FileInfo get_parent_uri

#### Declaration [src]

    char*
    get_parent_uri (
      NautilusFileInfo* file_info
    )

#### Description

No description available.

#### Return value

Type: `char*`

The URI for the parent location of `file_info`, or the empty string if it has none.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.